phy_stop_machine
Prev | PHY Support | Next

## Name

phy_stop_machine — stop the PHY state machine tracking

## Synopsis

`void phy_stop_machine (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Stops the state machine timer, sets the state to UP (unless it wasn't up yet). This function must be called BEFORE phy_detach.

Prev | Up | Next
phy_start_machine | Home | phy_force_reduction